Bug 479526 - Weather Report gives wrong forecast for Portland-Hillsboro Airport
Weather Report gives wrong forecast for Portland-Hillsboro Airport
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libgweather (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Winship
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-10 12:27 EST by Steve Tyler
Modified: 2009-01-17 09:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-17 09:34:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Tyler 2009-01-10 12:27:51 EST
Description of problem:
The Weather Report panel applet gives the wrong forecast for Portland-Hillsboro Airport and Portland-Troutdale Airport in Oregon, USA.

The problem is that Locations.xml has the wrong zone for both.
These locations are in zone 6, not zone 4.
http://forecast.weather.gov/MapClick.php?zoneid=ORZ006
http://www.findlocalweather.com/forecast/or/hillsboro.html
http://www.findlocalweather.com/forecast/or/troutdale.html

Version-Release number of selected component (if applicable):
libgweather-2.24.2-1.fc10.i386

How reproducible:
Always.

Steps to Reproduce:
1. Add Weather Report applet to Gnome panel.
2. Configure location to be Portland-Hillsboro Airport, Oregon, USA.
3.
  
Actual results:
Forecast for Oregon zone 4.

Expected results:
Forecast for Oregon zone 6.

Additional info:
Snippets from file:///usr/share/libgweather/Locations.xml

<location>
<name>Portland-Hillsboro Airport</name>
<code>KHIO</code>
<zone>ORZ004</zone>
<radar>pdx</radar>
<coordinates>45.548056 -122.954444</coordinates>
</location>

<location>
<name>Portland-Troutdale Airport</name>
<code>KTTD</code>
<zone>ORZ004</zone>
<radar>pdx</radar>
<coordinates>45.551111 -122.408889</coordinates>
</location>
Comment 1 Steve Tyler 2009-01-11 16:15:50 EST
In fixing my version of Locations.xml, I noticed that there are other incorrect forecast zones in it, and that some locations have no zone (and thus no forecast).

Would it be better to repurpose this bug to address incorrect and missing forecasts generally?
Comment 2 Steve Tyler 2009-01-13 15:51:10 EST
I haven't been able to find a US NWS page that lists the forecast zone for each station. Commercial sites report the zone, so there must be a way.

Here is the best I can come up with:

The NWS has a shapefile with all US forecast zones.
http://www.nws.noaa.gov/geodata/catalog/wsom/html/pubzone.htm

Quantum GIS can read and display this file as a map without any problems.
http://www.qgis.org/
qgis-0.11.0-4.fc10.i386

By importing the stations, it is possible to visually correlate their locations with the NWS forecast zones. I have already found that two stations are in the water (KEYW, KSTT). I don't know how to automate this.

NB: QGIS has a plugin to import delimited text files, however it cannot handle the lat/lon format in nsd_cccc.txt, so they have to be converted by running build-locationdb.pl. The stations table is then exported from locationdb.sqlite. (I used the excellent SQLite Manager plugin for Firefox.)

BTW, using lat/lon rather than zones, as suggested here, seems like a good idea.
http://bugzilla.gnome.org/show_bug.cgi?id=533787
Comment 3 Steve Tyler 2009-01-16 18:28:47 EST
I have parsed Locations.xml and converted the location tags to a delimited text file for import into QGIS. This makes it possible to more quickly visually correlate the station locations and zones from Locations.xml with the NWS zones shapefile.

Based on spot checks, Locations.xml has numerous errors. Here are three more.

KBNO|ORZ022|Burns Municipal Airport|boi|43.595000|-118.956389
Should be ORZ061 http://weather.noaa.gov/pub/data/forecasts/zone/or/orz061.txt

KEWB|MAZ017|New Bedford Regional Airport|bos|41.675278|-70.956944
Should be MAZ020 http://weather.noaa.gov/pub/data/forecasts/zone/ma/maz020.txt

PHLI|HIZ001|Lihue Airport|hawaii|21.983889|-159.341111
Should be HIZ002 http://weather.noaa.gov/pub/data/forecasts/zone/hi/hiz002.txt

Columns are:
code|zone|name|radar|lat|lon
Comment 4 Steve Tyler 2009-01-17 09:34:43 EST
Moved upstream:
Oakland zone should be changed (comment #4)
http://bugzilla.gnome.org/show_bug.cgi?id=341782

Note You need to log in before you can comment on or make changes to this bug.